package com.ycgis.macall.personalcenter.m.adapterbean;

import com.ycgis.macall.personalcenter.p.app.AppCache;

/**
 * created by:   Macall
 * create time:  2023/11/14 17:19
 * copyright:    @ruansee.com
 * Describe:
 */
public class AppInfoBean extends BaseBean{
    /**
     * id : 21
     * name : 皖警云核查
     * icon : /profile/upload/2023/01/02/icon_云核查_20230102194657A007.png
     * link : null
     * packageName : com.ycgis.macall.provinceproject
     * effectiveness : 1
     * level : 3
     * classification : null
     * type : 1
     * sort : 1
     * cityNumber : null
     * serviceProvider : 安徽软思信息技术有限公司
     * operationPerson : 陈乐
     * phoneNumber : 15655166626
     * clientId : 6772242211161756101
     * clientSecret : 82I8I280VX3PCqNqV886y739S2u86i5B
     * state : 1
     * remark : null
     * applicant : 管理员
     * alarmSignal : admin
     * department : 安徽省公安厅
     * applicationTime : 2022-11-16 17:56:23
     * policeDirector : 沙海峰
     * policeDirectorSignal : 006856
     * policePhoneNumber : 15566551515
     * operationGuide : null
     * approvalTime : 2022-11-16 17:56:37
     * rejectReason : null
     * approver : null
     * isRecommend : 0
     * clickCount : 7
     * label : null
     * attribution : 0
     */

    //是否被选中
    private boolean isSelect;

    private int id;
    private String name;
    private String icon;
    private String link;
    private String packageName;
    private int effectiveness;
    //应用级别（1 省厅应用 2 地市应用 3 公共应用）
    private int level;
    //应用分类（1 行业管理 2 社区警务 3 治安管理）
//        private String classification;
    //应用类型（1 Ⅱ类应用 2 Ⅲ类应用）
    private int type;
    //所属省市编号
    private String cityNumber;
    //服务厂商
    private String serviceProvider;
    //运维人员
    private String operationPerson;
    //运维人员联系电话
    private String phoneNumber;
    private String clientId;
    private String clientSecret;
    private String state;
    //备注
    private String remark;
    //操作指南
    private String operationGuide;
    private int isRecommend;
    //应用标签（1 人 2 车 3 其它）
    private String label;
    //0 个人中心应用     1 应用中心      2 共有
    private int attribution;

    public boolean isSelect() {
        return isSelect;
    }

    public void setSelect(boolean select) {
        isSelect = select;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIcon() {
        return icon;
    }

    public String getIconUrl() {
        return AppCache.BASE_IMAGE_URL+icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public String getLink() {
        return link;
    }

    public void setLink(String link) {
        this.link = link;
    }

    public String getPackageName() {
        return packageName;
    }

    public void setPackageName(String packageName) {
        this.packageName = packageName;
    }

    public int getEffectiveness() {
        return effectiveness;
    }

    public void setEffectiveness(int effectiveness) {
        this.effectiveness = effectiveness;
    }

    public int getLevel() {
        return level;
    }

    public void setLevel(int level) {
        this.level = level;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getCityNumber() {
        return cityNumber;
    }

    public void setCityNumber(String cityNumber) {
        this.cityNumber = cityNumber;
    }

    public String getServiceProvider() {
        return serviceProvider;
    }

    public void setServiceProvider(String serviceProvider) {
        this.serviceProvider = serviceProvider;
    }

    public String getOperationPerson() {
        return operationPerson;
    }

    public void setOperationPerson(String operationPerson) {
        this.operationPerson = operationPerson;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getClientId() {
        return clientId;
    }

    public void setClientId(String clientId) {
        this.clientId = clientId;
    }

    public String getClientSecret() {
        return clientSecret;
    }

    public void setClientSecret(String clientSecret) {
        this.clientSecret = clientSecret;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getOperationGuide() {
        return operationGuide;
    }

    public void setOperationGuide(String operationGuide) {
        this.operationGuide = operationGuide;
    }

    public int getIsRecommend() {
        return isRecommend;
    }

    public void setIsRecommend(int isRecommend) {
        this.isRecommend = isRecommend;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public int getAttribution() {
        return attribution;
    }

    public void setAttribution(int attribution) {
        this.attribution = attribution;
    }
}
